<?php
$block_titling = get_field('block_titling_description_datas');



?>

<section id="block-questions-frequentes">
	<div class="section_titling">
		<h2 class="section_titling__title"><?php echo __("Les questions les plus fréquentes", 'homegrade-theme__texte-fonctionnel') ?></h2>
		<p class="section_titling__subtitle"><?php echo __("Simplifions votre recherche !", 'homegrade-theme__texte-fonctionnel') ?></p>
	</div>
	<div class="questions-frequentes-grid">
		<?php
		$thematique_terms = get_terms(array(
			'taxonomy'   => 'thematiques',
			'hide_empty' => false,
			'parent' => 0

		));

		foreach ($thematique_terms as $key => $thematique) {
			if ($thematique->slug === "renovation-circulaire") continue;

			// $thematique_datas = get_term_by('slug', $thematique->slug, 'thematiques');

			$manual_data = get_field($thematique->slug . '_manual_data');
			$post_datas = $manual_data ? $manual_data : get_automatic_post($thematique->slug);

			get_template_part(
				'template-components/cards/card-frequent-question',
				null,
				array(
					'thematique' => $thematique,
					'post_ID' => $post_datas->ID,
					'post_title' => $post_datas->post_title,
					'post_excerpt' => $post_datas->post_excerpt,
				)
			);
		}
		?>
	</div>

</section>